#ifndef SeedService_ArtState_hh
#define SeedService_ArtState_hh
//
// Describe the current state of art processing, as understood by the SeedService.
//
//
// @author Rob Kutschke (kutschke@fnal.gov)
//

#include <string>

namespace artext {

  namespace SeedServiceHelper {

    struct ArtState {

      enum state_type { unDefined, inConstructor, inBeginRun };

      ArtState():
        state(unDefined),
        currentModuleLabel(){
      }

      // Accept compiler written d'tor, copy c'tor and copy assignment.

      void set( state_type astate, std::string const& label ){
        state = astate;
        currentModuleLabel = label;
      }

      void clear(){
        state = unDefined;
        currentModuleLabel = "";
      }

      state_type state;
      std::string currentModuleLabel;

    }; // end ArtState

  } // end namespace SeedServiceHelper

} // end namespace artext

#endif /* SeedService_ArtState_hh */
